using System;
using System.Data;
using System.Data.SqlClient ;
using System.Data.Common  ;

using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Spencer.BO;
using Spencer.DAL;

namespace Spencer.BLL
{
    public class CategoryManager
    {
        public static CategoryList GetList()
        {
            return CategoryDB.GetList();
        }

        public static Category GetItem(int categoryId)
        {
            return CategoryDB.GetItem(categoryId);
        }

        public static int Save(Category myCategory)
        {
            myCategory.CategoryId = CategoryDB.Save(myCategory);

            return myCategory.CategoryId;
        }

        public static bool Delete(Category myCategory)
        {
            return CategoryDB.Delete(myCategory);
        }


    }
}